Skip to main content
`Ctrl`+`K`

# PetscLogStateEventRegister

Register a new event with a logging state

## Synopsis

    #include "petsclog.h"
    PetscErrorCode PetscLogStateEventRegister(PetscLogState state, const char sname[], PetscClassId id, PetscLogEvent *event)

Not collective

## Input Parameters

- state - a `PetscLogState`

- sname - a unique name

- id - the `PetscClassId` for the type of object most closely associated with this event

## Output Parameter

- event - the identifier for the registered event

## Note

This is called for the global state (`PetscLogGetState()`) in `PetscLogEventRegister()`.

## See Also

Profiling, `PetscLogState`, `PetscLogStageRegister()`

## Level

developer

## Location

src/sys/logging/state/logstate.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages